
From: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>

MSDOS doesn't have ->adate and ->c{date,time}, those should be filled
by zero.

This fixes my recent changes.

Signed-off-by: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/msdos/namei.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN fs/msdos/namei.c~fat-fix-msdos-datetime fs/msdos/namei.c
--- 25/fs/msdos/namei.c~fat-fix-msdos-datetime	2005-03-21 21:54:59.000000000 -0800
+++ 25-akpm/fs/msdos/namei.c	2005-03-21 21:54:59.000000000 -0800
@@ -266,9 +266,11 @@ static int msdos_add_entry(struct inode 
 		de.attr |= ATTR_HIDDEN;
 	de.lcase = 0;
 	fat_date_unix2dos(ts->tv_sec, &time, &date);
-	de.time = de.ctime = time;
-	de.date = de.cdate = de.adate = date;
+	de.cdate = de.adate = 0;
+	de.ctime = 0;
 	de.ctime_cs = 0;
+	de.time = time;
+	de.date = date;
 	de.start = cpu_to_le16(cluster);
 	de.starthi = cpu_to_le16(cluster >> 16);
 	de.size = 0;
_
